Bug 250473 - weird assembler messages building gcc-4.1.2-12
weird assembler messages building gcc-4.1.2-12
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
7
sparc64 Linux
low Severity low
: ---
: ---
Assigned To: Jakub Jelinek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-01 15:42 EDT by Dennis Gilmore
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-25 00:22:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dennis Gilmore 2007-08-01 15:42:02 EDT
Description of problem:
trying to build gcc on sparc64 i get the following error.  not sure where is the
best place to start devugging this.

s ./external/asm/org/objectweb/asm/tree/analysis/Interpreter.class
./external/asm/org/objectweb/asm/tree/analysis/DataflowInterpreter.class
./external/asm/org/objectweb/asm/tree/analysis/Value.class
./external/asm/org/objectweb/asm/tree/analysis/BasicInterpreter.class
./external/asm/org/objectweb/asm/tree/analysis/BasicVerifier.class
./external/asm/org/objectweb/asm/tree/FieldNode.class
./external/asm/org/objectweb/asm/tree/AbstractInsnNode.class
./external/asm/org/objectweb/asm/tree/InnerClassNode.class
./external/asm/org/objectweb/asm/tree/LookupSwitchInsnNode.class
./external/asm/org/objectweb/asm/tree/JumpInsnNode.class
./external/asm/org/objectweb/asm/tree/AnnotationNode.class
./external/asm/org/objectweb/asm/tree/LabelNode.class
./external/asm/org/objectweb/asm/tree/MethodNode.class
./external/asm/org/objectweb/asm/tree/IntInsnNode.class
./external/asm/org/objectweb/asm/tree/VarInsnNode.class
./external/asm/org/objectweb/asm/tree/TryCatchBlockNode.class
./external/asm/org/objectweb/asm/tree/MultiANewArrayInsnNode.class
./external/asm/org/objectweb/asm/tree/LdcInsnNode.class
./external/asm/org/objectweb/asm/tree/InsnNode.class
./external/asm/org/objectweb/asm/ClassWriter.class -o gjavah.real
/tmp/cc2YGUqs.s: Assembler messages:
/tmp/cc2YGUqs.s:12: Error: detected global register use not covered by .register
pseudo-op
/tmp/cc2YGUqs.s:13: Error: detected global register use not covered by .register
pseudo-op
/tmp/cc2YGUqs.s:14: Error: detected global register use not covered by .register
pseudo-op
/tmp/cc2YGUqs.s:14: Error: detected global register use not covered by .register
pseudo-op
/tmp/cc2YGUqs.s:14: Error: detected global register use not covered by .register
pseudo-op
/tmp/cc2YGUqs.s:15: Error: detected global register use not covered by .register
pseudo-op
/tmp/cc2YGUqs.s:15: Error: detected global register use not covered by .register
pseudo-op
/tmp/cc2YGUqs.s:15: Error: detected global register use not covered by .register
pseudo-op
error: Bad exit status from /var/tmp/rpm-tmp.4438 (%build)
Comment 1 Jakub Jelinek 2007-08-03 06:09:08 EDT
Start with compiling that with -save-temps, then check which %g[2367] registers
are used on he lines gas complains and see where they come from (if inline asm,
then it might be a source error, otherwise look at sparc_output_scratch_registers
and ASM_DECLARE_REGISTER_GLOBAL.
Perhaps HAVE_AS_REGISTER_PSEUDO_OP has not been detected at configure time?
Comment 2 Brian Powell 2008-04-25 00:22:18 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there have not been any
updates to the report since thirty (30) days or more since we
requested additional information, we're assuming the problem
is either no longer present in the current Fedora release, or
that there is no longer any interest in tracking the problem.

Setting status to "CLOSED INSUFFICIENT_DATA".  If you still
experience this problem after updating to our latest Fedora
release and can provide the information previously requested, 
please feel free to reopen the bug report.

Thank you in advance.

Note that maintenance for Fedora 7 will end 30 days after the GA of Fedora 9.

Note You need to log in before you can comment on or make changes to this bug.